%define module_name RPC-Switch-Client
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Handle.pm) perl(JSON/MaybeXS.pm) perl(JSON/RPC2/TwoWay.pm) perl(MojoX/NetstringStream.pm) perl(Mojolicious.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Sys/Hostname.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: RPC-Switch client using Mojo(licious).
Group: Development/Perl
License: perl
URL: https://github.com/a6502/RPC-Switch-Client

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WI/WIEGEROP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the RPC::Switch::Client manpage is a class to build a client to connect to the
the RPC-Switch manpage. The client can be used to call methods on the RPC-Switch as 
well as to announce and handle methods as a worker.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE examples
%perl_vendor_privlib/R*

%changelog
* Tue Apr 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- updated by package builder

* Thu Mar 14 2019 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- updated by package builder

* Fri Dec 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Tue Oct 02 2018 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Wed Sep 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Fri Jul 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Thu Jul 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Mon Apr 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- regenerated from template by package builder

* Tue Dec 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

